Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ui.labeling
Class ATestDescriptionLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.xtext.ui.label.AbstractLabelProvider
                      org.eclipse.xtext.ui.label.DeclarativeLabelProvider
                          org.eclipse.xtext.ui.label.DefaultDescriptionLabelProvider
                              org.eclipse.amp.amf.testing.ui.labeling.ATestDescriptionLabelProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.IStyledLabelProvider, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

    public class ATestDescriptionLabelProvider

extends org.eclipse.xtext.ui.label.DefaultDescriptionLabelProvider

Provides labels for a IEObjectDescriptions and IResourceDescriptions. see http://www.eclipse.org/Xtext/documentation/latest/xtext.html#labelProvider

Constructor Summary
`ATestDescriptionLabelProvider()`

Method Summary

Methods inherited from class org.eclipse.xtext.ui.label.DefaultDescriptionLabelProvider
`image, image, text, text`

Methods inherited from class org.eclipse.xtext.ui.label.DeclarativeLabelProvider
`image, text`

Methods inherited from class org.eclipse.xtext.ui.label.AbstractLabelProvider
`getImage, getStyledText, getText`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### ATestDescriptionLabelProvider

    public ATestDescriptionLabelProvider()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD